Mono(Mono 1.0)

NAME
monodis - CIL image content dumper and disassembler.

SYNOPSIS

monodis [-hd] [--help] [--assembly] [--assemblyref] [--classlayout] [--constant] [--event] [--fields] [--file] [--interface] [--memberref] [--method] [--methodsem] [--moduleref] [--param] [--property] [--propertymap] [--typedef] [--typeref] [FILES...]

DESCRIPTION
The monodis program is used to dump the contents a CIL image (contained in .EXE files that contain extended PE/COFF CIL code).

OPTIONS
The following Generic options are supported:

--help , -h
    Displays usage instructions.

--assembly
    Dumps the contents of the assembly table --assemblyref Dumps the contents of the assemblyref table --classlayout Dumps the contents of the classlayout table --constant Dumps the contents of the constant table --event Dumps the contents of the event table --fields Dumps the contents of the fields table --file Dumps the contents of the file table --interface Dumps the contents of the interface table --memberref Dumps the contents of the memberref table --method Dumps the contents of the method table --methodsem Dumps the contents of the methodsem table --moduleref Dumps the contents of the moduleref table --param Dumps the contents of the param table --property Dumps the contents of the property table --propertymap Dumps the contents of the propertymap table --typedef Dumps the contents of the typedef table --typeref Dumps the contents of the typeref table

If no flags are specified the program dumps the content of the image in a format that can be used to rountrip the code.

AUTHOR
monodis was written by Miguel de Icaza, Paolo Molaro and Dietmar Maurer.

SEE ALSO
pedump(1)